# Uses of Enum Class
javafx.scene.control.TabPane.TabClosingPolicy

Packages that use TabPane.TabClosingPolicy
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of TabPane.TabClosingPolicy in javafx.scene.control

Methods in javafx.scene.control that return TabPane.TabClosingPolicy
Modifier and Type
Method
Description
`final TabPane.TabClosingPolicy`
TabPane.`getTabClosingPolicy()`
The closing policy for the tabs.
`static TabPane.TabClosingPolicy`
TabPane.TabClosingPolicy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TabPane.TabClosingPolicy[]`
TabPane.TabClosingPolicy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.control that return types with arguments of type TabPane.TabClosingPolicy
Modifier and Type
Method
Description
`final ObjectProperty<TabPane.TabClosingPolicy>`
TabPane.`tabClosingPolicyProperty()`
The closing policy for the tabs.
Methods in javafx.scene.control with parameters of type TabPane.TabClosingPolicy
Modifier and Type
Method
Description
`final void`
TabPane.`setTabClosingPolicy(TabPane.TabClosingPolicy value)`
Specifies how the TabPane handles tab closing from an end-users perspective.